/* Defining root variables */

:root{
  --primary-c: #871D27;
  --secondary-c: #CD642B;
  --hover-c-light: #ee8349;
  --hover-c-dark: #a5400a;
  --color1: #333333;
}

/* Universal reset styles */

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Source Sans 3", sans-serif;
}

html, body{
  scroll-behavior: smooth;
  overflow-x: clip;
}

/* Generated class from JS below for intersection observer */
/* Generated class from JS below for intersection observer */
/* Generated class from JS below for intersection observer */

.hidden{
  opacity: 0;
  transform: translateY(80px);
  transition: opacity 1.5s, transform 1s;
}

.show{
  opacity: 1;
  transform: translateY(0);
}

.contact-sub-hd{
  position: relative;
  width: 100%;
  height: 75vh;
  background-image: linear-gradient(rgba(0,0,0,0.7), rgba(0,0,0,0.7)), url(images/abt-sector-img.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

/* Contact main section starts here */

.address--sec1{
  width: 100%;
  background: #fff;
  padding: 5em 12.5em;
}

.addrs--txt{
  display: flex;
  justify-content: space-between;
}

.div1 p{
  font-size: 1.2rem;
  font-weight: 300;
  color: #000;
}

.hr1{
  border: 0;
  height: 1px;
  background: #868686;
  margin-top: 3em;
}

.hr1:last-child{
  margin-top: 0;
}

.arr--div{
  display: flex;
  align-items: center;
}

.project-info-para{
  font-size: 1.5rem;
  font-weight: 600;
  color: #000;
  margin: 3em 2em 3em 0;
  max-width: 50ch;
}

.arr--div-link{
  flex-shrink: 0;
  display: grid;
  place-content: center;
  width: 4em;
  height: 4em;
  background: var(--secondary-c);
  text-decoration: none;
  border-radius: 50%;
  margin-bottom: 6px;
  transition: all 0.5s;
}

.arr--div-link img{
  width: 30px;
  pointer-events: none;
}

.arr--div-link:hover{
  background: var(--hover-c-light);
  transform: scale(1.03) translateX(5px);
}

/* map banner starts here */

.heading--map{
  font-size: 2.2rem;
  font-weight: 700;
  margin-top: 2em;
}

.map{
    width: 100%;
    height: 400px;
    border-radius: 20px;
    border: 8px solid rgb(204, 204, 204);
    overflow: hidden;
    margin: 20px 0;

    iframe{
        width: 100%;
        height: 100%;
    }
}

/* All media query for varius screens */
/* All media query for varius screens */
/* All media query for varius screens */

/* Media for laptops - 1326px */

@media(max-width: 1326px){
  .address--sec1{
  padding: 5em 4.7em;
}
}

/* Media for laptops - 1090px */

@media(max-width: 1090px){
  .address--sec1{
  padding: 5em 3em;
}
}

/* Media for laptops - 1028px */

@media(max-width: 1028px){
  .address--sec1{
  padding: 5em 2em;
}
}

/* Media for small device(phone) - 599px */

@media(max-width: 599px){
  .addrs--txt{
  flex-direction: column;
  row-gap: 40px;
}
}

/* Media for small device(phone) - 500px */

@media(max-width: 500px){
  .address--sec1{
  padding: 5em 1.2em;
}
}